---
updatedAt: 2025-09-22T17:22:47.000Z
agentTools:
  projectIndex: https://developer.bitpay.com/llms.txt
---

# Retrieve a Refund by GUID Request

Facades: `merchant`

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "test",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://test.bitpay.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/refunds//guid/{guid}": {
      "get": {
        "summary": "Retrieve a Refund by GUID Request",
        "description": "Facades: `merchant`",
        "operationId": "retrieve-a-refund-by-guid-request",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Must be set to `application/json` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "X-Accept-Version",
            "in": "header",
            "description": "Must be set to `2.0.0` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "2.0.0"
            }
          },
          {
            "name": "X-Identity",
            "in": "header",
            "description": "The hexadecimal public key generated from the client private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-Signature",
            "in": "header",
            "description": "The ECDSA signature of the full request URL concatenated with the request body, signed with your private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "guid",
            "in": "path",
            "description": "A variable provided by the merchant and designed to be used by the merchant to correlate the refund with a refund ID in their system.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "token",
            "in": "query",
            "description": "When fetching a refund via the `merchant` facade, pass the API token as a URL parameter - the same token used to create the invoice in the first place.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"data\": {\n    \"id\": \"WoE46gSLkJQS48RJEiNw3L\",\n    \"invoice\": \"Hpqc63wvE1ZjzeeH4kEycF\",\n    \"reference\": \"Test refund\",\n    \"status\": \"created\",\n    \"amount\": 10,\n    \"transactionCurrency\": \"BTC\",\n    \"transactionAmount\": 0.000594,\n    \"transactionRefundFee\": 0.000002,\n    \"currency\": \"USD\",\n    \"lastRefundNotification\": \"2021-08-29T20:45:35.368Z\",\n    \"refundFee\": 0.04,\n    \"immediate\": false,\n    \"buyerPaysRefundFee\": false,\n    \"requestDate\": \"2021-08-29T20:45:34.000Z\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "WoE46gSLkJQS48RJEiNw3L"
                        },
                        "invoice": {
                          "type": "string",
                          "example": "Hpqc63wvE1ZjzeeH4kEycF"
                        },
                        "reference": {
                          "type": "string",
                          "example": "Test refund"
                        },
                        "status": {
                          "type": "string",
                          "example": "created"
                        },
                        "amount": {
                          "type": "integer",
                          "example": 10,
                          "default": 0
                        },
                        "transactionCurrency": {
                          "type": "string",
                          "example": "BTC"
                        },
                        "transactionAmount": {
                          "type": "number",
                          "example": 0.000594,
                          "default": 0
                        },
                        "transactionRefundFee": {
                          "type": "number",
                          "example": 0.000002,
                          "default": 0
                        },
                        "currency": {
                          "type": "string",
                          "example": "USD"
                        },
                        "lastRefundNotification": {
                          "type": "string",
                          "example": "2021-08-29T20:45:35.368Z"
                        },
                        "refundFee": {
                          "type": "number",
                          "example": 0.04,
                          "default": 0
                        },
                        "immediate": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "buyerPaysRefundFee": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "requestDate": {
                          "type": "string",
                          "example": "2021-08-29T20:45:34.000Z"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```